package org.cloudfoundry.credhub.requests;

import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import org.apache.commons.lang3.StringUtils;
import org.cloudfoundry.credhub.ErrorMessages;

@JsonAutoDetect
@SuppressWarnings("unused")
public class RegenerateRequest {

  @NotNull(message = ErrorMessages.MISSING_NAME)
  private String name;

  public RegenerateRequest() {
    super();
    /* this needs to be there for jackson to be happy */
  }

  public RegenerateRequest(final String name) {
    super();
    this.name = name;
  }

  public String getName() {
    return name;
  }

  public void setName(final String name) {
    this.name = StringUtils.prependIfMissing(name, "/");
  }
}
